component: Hardware_Monitor
proto_imports:
  - vehicle/computer_hardware/diagnostics/sensor_values_diagnostics.proto
namespace: zoox::vehicle::hardware_monitor
faults:
  - id: 1
    name: SensorNotOk
    severity: INFO
    description: Sensor does not return value of `ok`
    triggers_nogo: false
    freeze_frame: SensorValues
  - id: 2
    name: TemperatureThresholdExceededWarning
    severity: INFO
    description: Sensor value has exceeded lower threshold
    triggers_nogo: false
    freeze_frame: SensorValues
  - id: 3
    name: TemperatureThresholdExceededError
    severity: ERROR
    description: Sensor value has exceeded upper threshold
    triggers_nogo: true
    freeze_frame: SensorValues
